Loading...
Searching...
No Matches
openshot::ChunkNotFound Class Reference

Exception when a required chunk is missing. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::ChunkNotFound:

## Public Member Functions

| ChunkNotFound (std::string message, int64_t frame_number, int64_t chunk_number, int64_t chunk_frame)
| Constructor.
virtual | ~ChunkNotFound () noexcept
Public Member Functions inherited from openshot::FrameExceptionBase
| FrameExceptionBase (std::string message, int64_t frame_number=-1)
virtual std::string | py_message () const override
Public Member Functions inherited from openshot::ExceptionBase
| ExceptionBase (std::string message)
virtual const char * | what () const noexcept
virtual | ~ExceptionBase () noexcept

## Public Attributes

int64_t | chunk_frame
int64_t | chunk_number
Public Attributes inherited from openshot::FrameExceptionBase
int64_t | frame_number

## Additional Inherited Members

Protected Attributes inherited from openshot::ExceptionBase
std::string | m_message

## Detailed Description

Exception when a required chunk is missing.

Definition at line 78 of file Exceptions.h.

## Constructor & Destructor Documentation

## ChunkNotFound()

openshot::ChunkNotFound::ChunkNotFound | ( | std::string | message,
|  | int64_t | frame_number,
|  | int64_t | chunk_number,
|  | int64_t | chunk_frame
| ) |  |

inline

Constructor.

Parameters

  message | A message to accompany the exception
  frame_number | The frame number being processed
  chunk_number | The chunk requested
  chunk_frame | The chunk frame

Definition at line 91 of file Exceptions.h.

## ~ChunkNotFound()

virtual openshot::ChunkNotFound::~ChunkNotFound | ( |  | ) |

inline virtual noexcept

Definition at line 93 of file Exceptions.h.

## Member Data Documentation

## chunk_frame

int64_t openshot::ChunkNotFound::chunk_frame

Definition at line 82 of file Exceptions.h.

## chunk_number

int64_t openshot::ChunkNotFound::chunk_number

Definition at line 81 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h